Request body
- Content-Type
- application/json
- Schema
- object
{
"type": "object",
"properties": {
"kind": {
"enum": [
"email_password",
"oauth"
],
"type": "string"
},
"email": {
"type": "string",
"format": "email"
},
"password": {
"type": "string",
"minLength": 1
},
"provider": {
"enum": [
"github",
"google"
],
"type": "string"
},
"providerSubject": {
"type": "string"
},
"providerEmail": {
"type": "string",
"nullable": true,
"format": "email"
},
"displayName": {
"type": "string",
"nullable": true
},
"avatarUrl": {
"type": "string",
"nullable": true
},
"profileSnapshot": {
"type": "string",
"nullable": true
}
},
"required": [
"kind"
]
}Responses
| Status | Description | Content-Type | Schema |
|---|
| 201 | Success | application/json | object |
| 400 | Bad request. Enumerated catalog codes for this operation. | application/problem+json | union |
| 409 | Conflict. Enumerated catalog codes for this operation. | application/problem+json | union |
{
"type": "object",
"properties": {
"data": {
"$ref": "#/components/schemas/AuthMeDataSwaggerDto"
},
"meta": {
"$ref": "#/components/schemas/RequestMetaSwaggerDto"
}
},
"required": [
"data",
"meta"
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
400
]
},
"code": {
"type": "string",
"enum": [
"AUTH_PROVIDER_NOT_CONFIGURED",
"BAD_REQUEST",
"CSRF_INVALID",
"CURRENT_PASSWORD_INVALID",
"CURRENT_PASSWORD_REQUIRED",
"IDEMPOTENCY_KEY_INVALID",
"IF_MATCH_INVALID",
"OAUTH_ACCOUNT_LINK_REQUIRED",
"OAUTH_EXCHANGE_FAILED",
"OAUTH_STATE_INVALID",
"PASSWORD_POLICY_VIOLATION",
"PASSWORD_RESET_CODE_EXPIRED",
"PASSWORD_RESET_CODE_INVALID",
"PASSWORD_RESET_REQUEST_TOO_FREQUENT",
"PASSWORD_RESET_TOKEN_EXPIRED",
"PASSWORD_RESET_TOKEN_INVALID",
"PASSWORD_REUSE_NOT_ALLOWED",
"REGISTRATION_INVITATION_EXPIRED",
"SSO_NOT_CONFIGURED",
"TENANT_CONTEXT_MISMATCH",
"TENANT_REQUIRED",
"VALIDATION_ERROR"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
409
]
},
"code": {
"type": "string",
"enum": [
"CURRENT_SESSION_NOT_REVOCABLE",
"EMAIL_ALREADY_REGISTERED",
"IDEMPOTENCY_CONFLICT"
]
}
}
}
]
}